Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.apps
Class FOPException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.xml.sax.SAXException
                  org.apache.fop.apps.FOPException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  PropertyException, ValidationException

    public class FOPException

extends org.xml.sax.SAXException

Exception thrown when FOP has a problem.

See Also:
  Serialized Form

Constructor Summary
`FOPException(java.lang.Exception cause)` Constructs a new FOP exception with the specified cause.
`FOPException(java.lang.String message)` Constructs a new FOP exception with the specified detail message.
`FOPException(java.lang.String message, java.lang.Exception cause)` Constructs a new exception with the specified detail message and cause.
`FOPException(java.lang.String message, org.xml.sax.Locator locator)` Constructs a new FOP exception with the specified detail message and location.
`FOPException(java.lang.String message, java.lang.String systemId, int line, int column)` Constructs a new FOP exception with the specified detail message and location.

Method Summary
`java.lang.String` | `getLocalizedMessage()`
`java.lang.String` | `getMessage()` Returns the detail message string of this FOP exception.
`protected java.lang.Throwable` | `getRootException()` Attempts to recast the exception as other Throwable types.
`boolean` | `isLocationSet()` Indicate whether a location was set.
`void` | `printStackTrace()` Prints this FOP exception and its backtrace to the standard error stream.
`void` | `printStackTrace(java.io.PrintStream stream)` Prints this FOP exception and its backtrace to the specified print stream.
`void` | `printStackTrace(java.io.PrintWriter writer)` Prints this FOP exception and its backtrace to the specified print writer.
`void` | `setLocalizedMessage(java.lang.String msg)` Sets the localized message for this exception.
`void` | `setLocation(java.lang.String systemId, int line, int column)` Set a location associated with the exception.
`void` | `setLocator(org.xml.sax.Locator locator)` Set a location associated with the exception.

Methods inherited from class org.xml.sax.SAXException
`getCause, getException, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FOPException

    public FOPException(java.lang.String message)

  Constructs a new FOP exception with the specified detail message.

  Parameters:
    `message` - the detail message.

### FOPException

    public FOPException(java.lang.String message,
                        java.lang.String systemId,
                        int line,
                        int column)

  Constructs a new FOP exception with the specified detail message and location.

  Parameters:
    `message` - the detail message
    `systemId` - the system id of the FO document which is associated with the exception may be null.
    `line` - line number in the FO document which is associated with the exception.
    `column` - clolumn number in the line which is associated with the exception.

### FOPException

    public FOPException(java.lang.String message,
                        org.xml.sax.Locator locator)

  Constructs a new FOP exception with the specified detail message and location.

  Parameters:
    `message` - the detail message.
    `locator` - the locator holding the location.

### FOPException

    public FOPException(java.lang.Exception cause)

  Constructs a new FOP exception with the specified cause.

  Parameters:
    `cause` - the cause.

### FOPException

    public FOPException(java.lang.String message,
                        java.lang.Exception cause)

  Constructs a new exception with the specified detail message and cause.

  Parameters:
    `message` - the detail message
    `cause` - the cause

Method Detail

### setLocator

    public void setLocator(org.xml.sax.Locator locator)

  Set a location associated with the exception.

  Parameters:
    `locator` - the locator holding the location.

### setLocation

    public void setLocation(java.lang.String systemId,
                            int line,
                            int column)

  Set a location associated with the exception.

  Parameters:
    `systemId` - the system id of the FO document which is associated with the exception; may be null.
    `line` - line number in the FO document which is associated with the exception.
    `column` - column number in the line which is associated with the exception.

### isLocationSet

    public boolean isLocationSet()

  Indicate whether a location was set.

  Returns:
    whether a location was set

### getMessage

    public java.lang.String getMessage()

  Returns the detail message string of this FOP exception. If a location was set, the message is prepended with it in the form

        SystemId:LL:CC: &the message&

  (the format used by most GNU tools)

  Overrides:
    `getMessage` in class `org.xml.sax.SAXException`
  Returns:
    the detail message string of this FOP exception

### getRootException

    protected java.lang.Throwable getRootException()

  Attempts to recast the exception as other Throwable types.

  Returns:
    the exception recast as another type if possible, otherwise null.

### printStackTrace

    public void printStackTrace()

  Prints this FOP exception and its backtrace to the standard error stream.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintStream stream)

  Prints this FOP exception and its backtrace to the specified print stream.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `stream` - PrintStream to use for output

### printStackTrace

    public void printStackTrace(java.io.PrintWriter writer)

  Prints this FOP exception and its backtrace to the specified print writer.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `writer` - PrintWriter to use for output

### setLocalizedMessage

    public void setLocalizedMessage(java.lang.String msg)

  Sets the localized message for this exception.

  Parameters:
    `msg` - the localized message

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

  Overrides:
    `getLocalizedMessage` in class `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.